org.eclipse.wst.jsdt.ui.text

## Interface IJavaScriptPartitions

    public interface IJavaScriptPartitions

Definition of JavaScript partitioning and its partitions. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `JAVA_CHARACTER` The identifier of the JavaScript character partition content type.
`static java.lang.String` `JAVA_DOC` The identifier of the Javadoc (JLS2: DocumentationComment) partition content type.
`static java.lang.String` `JAVA_MULTI_LINE_COMMENT` The identifier multi-line (JLS2: TraditionalComment) comment partition content type.
`static java.lang.String` `JAVA_PARTITIONING` The identifier of the JavaScript partitioning.
`static java.lang.String` `JAVA_SHEBANG_LINE` The shebang line
`static java.lang.String` `JAVA_SINGLE_LINE_COMMENT` The identifier of the single-line (JLS2: EndOfLineComment) end comment partition content type.
`static java.lang.String` `JAVA_STRING` The identifier of the JavaScript string partition content type.
`static java.lang.String` `JAVASCRIPT_TEMPLATE_LITERAL` The identifier template-literal partition content type.

### Field Detail

#### JAVA_PARTITIONING

    static final java.lang.String JAVA_PARTITIONING

The identifier of the JavaScript partitioning.

See Also:
  Constant Field Values

#### JAVA_SINGLE_LINE_COMMENT

    static final java.lang.String JAVA_SINGLE_LINE_COMMENT

The identifier of the single-line (JLS2: EndOfLineComment) end comment partition content type.

See Also:
  Constant Field Values

#### JAVA_MULTI_LINE_COMMENT

    static final java.lang.String JAVA_MULTI_LINE_COMMENT

The identifier multi-line (JLS2: TraditionalComment) comment partition content type.

See Also:
  Constant Field Values

#### JAVASCRIPT_TEMPLATE_LITERAL

    static final java.lang.String JAVASCRIPT_TEMPLATE_LITERAL

The identifier template-literal partition content type.

See Also:
  Constant Field Values

#### JAVA_DOC

    static final java.lang.String JAVA_DOC

The identifier of the Javadoc (JLS2: DocumentationComment) partition content type.

See Also:
  Constant Field Values

#### JAVA_STRING

    static final java.lang.String JAVA_STRING

The identifier of the JavaScript string partition content type.

See Also:
  Constant Field Values

#### JAVA_CHARACTER

    static final java.lang.String JAVA_CHARACTER

The identifier of the JavaScript character partition content type.

See Also:
  Constant Field Values

#### JAVA_SHEBANG_LINE

    static final java.lang.String JAVA_SHEBANG_LINE

The shebang line

See Also:
  Constant Field Values